# studio::Dialog_Gradient Class Reference

`#include <dialog_gradient.h>`

List of all members.

## Public Member Functions

sigc::signal< void, synfig::Gradient > & | signal_edited ()
void | set_gradient (const synfig::Gradient &x)
const synfig::Gradient & | get_gradient () const
void | grab_button_set_sensitive (bool sensitive)
void | reset ()
| Dialog_Gradient ()
| ~Dialog_Gradient ()
void | edit (const synfigapp::ValueDesc &x, etl::handle< synfigapp::CanvasInterface > canvas_interface, synfig::Time time=0)

## Constructor & Destructor Documentation

Dialog_Gradient::Dialog_Gradient | ( |  | ) |

References _, studio::Widget_Gradient::set_editable(), studio::Widget_ColorEdit::signal_activated(), studio::Widget_Gradient::signal_cpoint_selected(), studio::Widget_ColorEdit::signal_value_changed(), studio::Widget_Gradient::signal_value_changed(), and studio::App::ui_manager().

Dialog_Gradient::~Dialog_Gradient | ( |  | ) |

## Member Function Documentation

sigc::signal<void,synfig::Gradient>& studio::Dialog_Gradient::signal_edited | ( |  | ) | `[inline]`

Referenced by edit().

void Dialog_Gradient::set_gradient | ( | const synfig::Gradient & | x | ) |

References studio::Widget_Gradient::set_value().

Referenced by edit().

const synfig::Gradient& studio::Dialog_Gradient::get_gradient | ( |  | ) | const`[inline]`

References studio::Widget_Gradient::get_value().

void studio::Dialog_Gradient::grab_button_set_sensitive | ( | bool | sensitive | ) | `[inline]`

void Dialog_Gradient::reset | ( |  | ) |

Referenced by edit().

void Dialog_Gradient::edit | ( | const synfigapp::ValueDesc & | x,
|  | etl::handle< synfigapp::CanvasInterface > | canvas_interface,
|  | synfig::Time | time = `0` |
| ) |  |  |

Inerface to external calls to fill in the Gradient Editor Dialog when a Constant ValueNode or a Animated ValueNode is double cliked.

References dialog_gradient_value_desc_edit(), synfigapp::ValueDesc::get_value(), synfigapp::ValueDesc::get_value_node(), synfigapp::ValueDesc::is_const(), synfigapp::ValueDesc::is_value_node(), reset(), set_gradient(), and signal_edited().

The documentation for this class was generated from the following files:

- dialog_gradient.h
- dialog_gradient.cpp